# WorkflowRuntimeBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.workflows.runtime

## Class WorkflowRuntimeBuilder

- java.lang.Object
- - io.dapr.workflows.runtime.WorkflowRuntimeBuilder

    public class WorkflowRuntimeBuilder
    extends Object

### Constructor Summary

Constructors
`WorkflowRuntimeBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowRuntime` `build()` Returns a WorkflowRuntime object.
`<T extends WorkflowActivity> void` `registerActivity​(Class<T> clazz)` Registers an Activity object.
`<T extends Workflow> WorkflowRuntimeBuilder` `registerWorkflow​(Class<T> clazz)` Registers a Workflow object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkflowRuntimeBuilder

    public WorkflowRuntimeBuilder()

### Method Detail

#### build

    public WorkflowRuntime build()

Returns a WorkflowRuntime object.

Returns:
  A WorkflowRuntime object.

#### registerWorkflow

    public <T extends Workflow> WorkflowRuntimeBuilder registerWorkflow​(Class<T> clazz)

Registers a Workflow object.

Type Parameters:
  `T` - any Workflow type
Parameters:
  `clazz` - the class being registered
Returns:
  the WorkflowRuntimeBuilder

#### registerActivity

    public <T extends WorkflowActivity> void registerActivity​(Class<T> clazz)

Registers an Activity object.

Type Parameters:
  `T` - any WorkflowActivity type
Parameters:
  `clazz` - the class being registered